import * as route53 from "aws-cdk-lib/aws-route53";
import { Construct } from "constructs";
/**
 * @experimental
 */
export interface DomainProps {
    /**
     * @experimental
     */
    readonly domain: string;
}
/**
 * @experimental
 */
export interface MxRecordProps {
    /**
     * @experimental
     */
    readonly ttl?: number;
    /**
     * @experimental
     */
    readonly values: route53.MxRecordValue[];
}
/**
 * @experimental
 */
export interface CNameRecordProps {
    /**
     * @experimental
     */
    readonly ttl?: number;
    /**
     * @experimental
     */
    readonly name: string;
    /**
     * @experimental
     */
    readonly target: string;
}
/**
 * @experimental
 */
export interface ARecordProps {
    /**
     * @experimental
     */
    readonly ttl?: number;
    /**
     * @experimental
     */
    readonly name: string;
    /**
     * @experimental
     */
    readonly targetIP: string;
}
/**
 * @experimental
 */
export interface AaaaRecordProps extends ARecordProps {
}
/**
 * @experimental
 */
export interface TxtRecordProps {
    /**
     * @experimental
     */
    readonly ttl?: number;
    /**
     * @experimental
     */
    readonly name: string;
    /**
     * @experimental
     */
    readonly values: string[];
}
/**
 * @experimental
 * @order 6
 */
export declare class Domain extends Construct {
    /**
     * @experimental
     */
    hostedZone: route53.IHostedZone;
    /**
     * @param scope The parent of this resource, for example a ``{@link "app#stacks" | Stack}``.
     * @experimental
     */
    constructor(scope: Construct, id: string, props: DomainProps);
    /**
     * @experimental
     */
    mxRecord(id: string, props: MxRecordProps): void;
    /**
     * @experimental
     */
    cnameRecord(id: string, props: CNameRecordProps): void;
    /**
     * @experimental
     */
    aRecord(id: string, props: ARecordProps): void;
    /**
     * @experimental
     */
    aaaaRecord(id: string, props: ARecordProps): void;
    /**
     * @experimental
     */
    txtRecord(id: string, props: TxtRecordProps): void;
}
