import * as cdk from "aws-cdk-lib/core";
import * as pipelines from "aws-cdk-lib/pipelines";
import { RepositoryHost } from "./types";
import { Construct } from "constructs";
/**
 * @experimental
 */
export interface PipelineStackProps extends cdk.StackProps {
    /**
     * @experimental
     */
    readonly appName: string;
    /**
     * @experimental
     */
    readonly repositoryTokenSecretName: string;
    /**
     * @experimental
     */
    readonly host: RepositoryHost;
    /**
     * @experimental
     */
    readonly owner: string;
    /**
     * @experimental
     */
    readonly repo: string;
    /**
     * @experimental
     */
    readonly branch: string;
}
/**
 * @experimental
 * @ignore true
 */
export declare class PipelineStack extends cdk.Stack {
    /**
     * @experimental
     */
    pipeline: pipelines.CodePipeline;
    /**
     * @experimental
     */
    pipelineName: string;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: PipelineStackProps);
    private getHome;
    private getLanguage;
    private getPipelineCommands;
}
