import * as route53 from "aws-cdk-lib/aws-route53";
import * as certificatemanager from "aws-cdk-lib/aws-certificatemanager";
import * as rds from "aws-cdk-lib/aws-rds";
import { Construct } from "constructs";
/**
 * @experimental
 */
export interface RefParameterProps {
    /**
     * @experimental
     */
    readonly appName?: string;
    /**
     * @experimental
     */
    readonly name?: string;
}
/**
 * @experimental
 * @ignore true
 */
export declare class Ref extends Construct {
    private constructor();
    /**
     * @experimental
     */
    static addHostedZone(scope: Construct, id: string, hostedZone: route53.IHostedZone, props?: RefParameterProps): void;
    /**
     * @experimental
     */
    static getHostedZone(scope: Construct, id: string, props?: RefParameterProps): route53.IHostedZone;
    /**
     * @experimental
     */
    static addCertificate(scope: Construct, id: string, certificate: certificatemanager.ICertificate, props?: RefParameterProps): void;
    /**
     * @experimental
     */
    static getCertificate(scope: Construct, id: string, props?: RefParameterProps): certificatemanager.ICertificate;
    /**
     * @experimental
     */
    static addServerlessCluster(scope: Construct, id: string, serverlessCluster: rds.IServerlessCluster, props?: RefParameterProps): void;
    /**
     * @experimental
     */
    static getServerlessCluster(scope: Construct, id: string, props?: RefParameterProps): rds.IServerlessCluster;
}
